aboutsummaryrefslogtreecommitdiffstats
path: root/community/libwmf/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/libwmf/APKBUILD')
-rw-r--r--community/libwmf/APKBUILD13
1 files changed, 8 insertions, 5 deletions
diff --git a/community/libwmf/APKBUILD b/community/libwmf/APKBUILD
index 412667ffef..196dc295d8 100644
--- a/community/libwmf/APKBUILD
+++ b/community/libwmf/APKBUILD
@@ -12,15 +12,17 @@ subpackages="$pkgname-dev"
source="http://downloads.sourceforge.net/sourceforge/wvware/$pkgname-$pkgver.tar.gz
libpng14.patch"
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
+
prepare() {
- cd "$_builddir"
- patch -Np1 -i ""$srcdir"/libpng14.patch" || return 1
+ cd "$builddir"
+ default_prepare || return 1
+ update_config_guess || return 1
sed -i -e 's/src include fonts doc/src include fonts/g' Makefile.in
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure --prefix=/usr \
--with-gsfontdir=/usr/share/fonts/Type1 \
--with-fontdir=/usr/share/fonts/Type1 \
@@ -29,8 +31,9 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make -j1 DESTDIR="$pkgdir" install || return 1
}
+
md5sums="d1177739bf1ceb07f57421f0cee191e0 libwmf-0.2.8.4.tar.gz
33d3c07a1be9f99fd88de220930c5550 libpng14.patch"